summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-get-update-unauth-warning
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-09-26 20:59:56 +0200
committerMichael Vogt <mvo@debian.org>2014-09-26 21:00:22 +0200
commitc4ffa0428b617cd844f0f9dfd5d16ae0553675ac (patch)
treeed6053c03b9f2ab0ff8b8f854262e06dce7736e8 /test/integration/test-apt-get-update-unauth-warning
parente7d37fac6328bba86fa183edc284ac629f7c03e4 (diff)
Print warning for unauthenticated repositories
Diffstat (limited to 'test/integration/test-apt-get-update-unauth-warning')
-rwxr-xr-xtest/integration/test-apt-get-update-unauth-warning30
1 files changed, 30 insertions, 0 deletions
diff --git a/test/integration/test-apt-get-update-unauth-warning b/test/integration/test-apt-get-update-unauth-warning
new file mode 100755
index 000000000..4411a7430
--- /dev/null
+++ b/test/integration/test-apt-get-update-unauth-warning
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# ensure we print warnings for unauthenticated repositories
+#
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+# a "normal" package with source and binary
+buildsimplenativepackage 'foo' 'all' '2.0'
+
+setupaptarchive --no-update
+
+APTARCHIVE=$(readlink -f ./aptarchive)
+rm -f $APTARCHIVE/dists/unstable/*Release*
+
+# update without authenticated InRelease file
+testequal "Ign file: unstable InRelease
+Ign file: unstable Release
+Reading package lists...
+W: The data from 'file: unstable Release' is not signed. Packages from that repository can not be authenticated." aptget update
+
+# ensure we can not install the package
+testequal "WARNING: The following packages cannot be authenticated!
+ foo
+E: There are problems and -y was used without --force-yes" aptget install -qq -y foo